fusialDocs

Run an analytics report

GET
/analytics/{report}
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

report*string

Which report to run.

Query Parameters

range?string

Date range window. Defaults to 90d when omitted or invalid.

format?string

Set to csv to receive a CSV download instead of JSON.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/analytics/overview"
{
  "report": "overview",
  "range": "30d",
  "stats": [
    {
      "key": "string",
      "label": "string",
      "value": "string",
      "rawValue": 0,
      "hint": "string"
    }
  ],
  "activeValueCents": 0,
  "createdValueCents": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}